#!@PYTHON@
# @configure_input@
# The file debian-solfege.py.in is generated from run-solfege.py.in
# by the configure script.
#
# GNU Solfege - ear training for GNOME
# Copyright (C) 2000, 2001, 2002, 2003, 2004  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os

os.chdir("@prefix@/share/solfege/@VERSION@")
sys.path.append("@prefix@/lib/solfege/@VERSION@")
sys.path.append("@prefix@/share/solfege/@VERSION@")

import src
import src.configureoutput

import src.cfg

import src.gethomedir
if not os.path.exists(src.gethomedir.get_home_dir()):
    os.mkdir(src.gethomedir.get_home_dir())

src.cfg.initialise("@prefix@/share/solfege/@VERSION@/default.config",
                   "@sysconfdir@/solfege",
                   os.path.join(src.gethomedir.get_home_dir(), ".solfegerc"))

import src.mainwin

